Отказ в обслуживании в TFTPUtil

Дата публикации:
02.09.2009
Дата изменения:
03.01.2011
Всего просмотров:
909
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:N/I:N/A:C/E:P/RL:U/RC:C) = Base:6.1/Temporal:5.5
(AV:A/AC:L/Au:N/C:N/I:N/A:C/E:P/RL:U/RC:C) = Base:6.1/Temporal:5.5
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
TFTPUtil 1.x
Уязвимые версии: TFTPUtil 1.4.5, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести DoS атаку.

1. Уязвимость существует из-за ошибки разыменования нулевого указателя при обработке TFTP GET запросов. Удаленный пользователь может с помощью слишком длинного TFTP GET запроса аварийно завершить работу приложения.

2. Уязвимость существует из-за ошибки при обработке определенных TFTP запросов. Удаленный пользователь может с помощью специально сформированной TFTP GET команды заставить приложение обратиться за пределы массива и аварийно завершить работу приложения.

URL производителя: sourceforge.net/projects/tftputil/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: TFTPUtil GUI 1.3.0 Remote Denial of Service Exploit
TFTPUtil GUI 1.4.5 Denial of Service Exploit (meta)
Журнал изменений: 03.01.2011
Добавлено уязвимость #2.

или введите имя

CAPTCHA